# strtok

split string into tokens

## Calling Sequence

    res = strtok(str, delimiters)

## Arguments

str

  a character string.

delimiters

  a character string.

res

  a character string.

## Description

`res = strtok(str, delimiters)` sequence of calls to this function split `str` into tokens, which are sequences of contiguous characters separated by any of the characters that are part of `delimiters`.

## Examples

    TOKENS = [];
    token = strtok("A string of ,,tokens and some  more tokens"," r,");
    TOKENS = [TOKENS,token];
    while( token <> '' )
      token = strtok(" r,");
      TOKENS = [TOKENS,token];
    end
    disp(TOKENS);

## See Also

- strrchr
- strchr